Skip to main content

Usage Dashboards

View as Markdown

Create new usage dashboard GA

POST /api/2.0/accounts/{account_id}/dashboard

Create a usage dashboard specified by workspaceId, accountId, and dashboard type.

API scopes: billing

Parameters

account_idstringRequiredpath

<Databricks> account ID.

Request body

workspace_idint64

The workspace ID of the workspace in which the usage dashboard is created.

dashboard_typestring

Workspace level usage dashboard shows usage data for the specified workspace ID. Global level usage dashboard shows usage data for all workspaces in the account.

Values:

  • USAGE_DASHBOARD_TYPE_UNSPECIFIED
  • USAGE_DASHBOARD_TYPE_WORKSPACE
  • USAGE_DASHBOARD_TYPE_GLOBAL
major_versionstring

The major version of the usage dashboard template to use. Defaults to VERSION_1.

Default: USAGE_DASHBOARD_MAJOR_VERSION_1

Values:

  • USAGE_DASHBOARD_MAJOR_VERSION_UNSPECIFIED
  • USAGE_DASHBOARD_MAJOR_VERSION_1
  • USAGE_DASHBOARD_MAJOR_VERSION_2

Response

dashboard_idstring

The unique id of the usage dashboard.

Get usage dashboard GA

GET /api/2.0/accounts/{account_id}/dashboard

Get a usage dashboard specified by workspaceId, accountId, and dashboard type.

API scopes: billing

Parameters

account_idstringRequiredpath

<Databricks> account ID.

workspace_idint64query

The workspace ID of the workspace in which the usage dashboard is created.

dashboard_typestringquery

Workspace level usage dashboard shows usage data for the specified workspace ID. Global level usage dashboard shows usage data for all workspaces in the account.

Values:

  • USAGE_DASHBOARD_TYPE_UNSPECIFIED
  • USAGE_DASHBOARD_TYPE_WORKSPACE
  • USAGE_DASHBOARD_TYPE_GLOBAL

Response

dashboard_idstring

The unique id of the usage dashboard.

dashboard_urlstring

The URL of the usage dashboard.